kernel-firmware/copy-file-skip-check.patch
Takashi Iwai f4daba6a5b - Update to version 20241113 (git commit 1727aceef4d2):
* qcom: venus-5.4: add venus firmware file for qcs615
  * qcom: update venus firmware file for SC7280
  * QCA: Add 22 bluetooth firmware nvm files for QCA2066

- Update to version 20241112 (git commit c57a0a42468b):
  * mediatek MT7922: update bluetooth firmware to 20241106163512
  * mediatek MT7921: update bluetooth firmware to 20241106151414
  * linux-firmware: update firmware for MT7922 WiFi device
  * linux-firmware: update firmware for MT7921 WiFi device
  * qcom: Add QDU100 firmware image files.
  * qcom: Update aic100 firmware files
  * dedup-firmware.sh: fix infinite loop for --verbose
  * rtl_bt: Update RTL8852BT/RTL8852BE-VT BT USB FW to 0x04D7_63F7
  * cnm: update chips&media wave521c firmware.
  * mediatek MT7920: update bluetooth firmware to 20241104091246
  * linux-firmware: update firmware for MT7920 WiFi device
  * copy-firmware.sh: Run check_whence.py only if in a git repo
  * cirrus: cs35l56: Add firmware for Cirrus CS35L56 for various Dell laptops
  * amdgpu: update DMCUB to v9.0.10.0 for DCN351
  * rtw89: 8852a: update fw to v0.13.36.2
  * rtw88: Add firmware v52.14.0 for RTL8812AU
  * i915: Update Xe2LPD DMC to v2.23
  * linux-firmware: update firmware for mediatek bluetooth chip (MT7925)
  * linux-firmware: update firmware for MT7925 WiFi device
  * WHENCE: Add sof-tolg for mt8195
  *  linux-firmware: Update firmware file for Intel BlazarI core
  * qcom: Add link for QCS6490 GPU firmware
  * qcom: update gpu firmwares for qcs615 chipset
  * cirrus: cs35l56: Update firmware for Cirrus Amps for some HP laptops

OBS-URL: https://build.opensuse.org/package/show/Kernel:HEAD/kernel-firmware?expand=0&rev=508
2024-11-13 16:03:13 +00:00

16 lines
712 B
Diff

diff --git a/copy-firmware.sh b/copy-firmware.sh
index dcb3b92c7229..fbadaf0b6027 100755
--- a/copy-firmware.sh
+++ b/copy-firmware.sh
@@ -65,8 +65,8 @@ if test -d "$destdir"; then
find "$destdir" -type d -empty >/dev/null || warn "destination folder is not empty."
fi
-$verbose "Checking that WHENCE file is formatted properly"
-./check_whence.py || err "check_whence.py has detected errors."
+# $verbose "Checking that WHENCE file is formatted properly"
+# ./check_whence.py || err "check_whence.py has detected errors."
# shellcheck disable=SC2162 # file/folder name can include escaped symbols
grep -E '^(RawFile|File):' WHENCE | sed -E -e 's/^(RawFile|File): */\1 /;s/"//g' | while read k f; do